Package oasis.names.tc.saml._1_0.assertion

# Class ObjectFactory

java.lang.Object
oasis.names.tc.saml._1_0.assertion.ObjectFactory

public class ObjectFactory extends Object
This object contains factory methods for each Java content interface and Java element interface generated in the oasis.names.tc.saml._1_0.assertion package.

An ObjectFactory allows you to programmatically construct new instances of the Java representation for XML content. The Java representation of XML content can consist of schema derived interfaces and classes representing the binding of schema type definitions, element declarations and model groups. Factory methods for each of these are provided in this class.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ObjectFactory()`
  Create a new ObjectFactory that can be used to create new instances of schema derived classes for package: oasis.names.tc.saml._1_0.assertion

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Action`
  `createAction()`
  Create an instance of `Action`
  `Advice`
  `createAdvice()`
  Create an instance of `Advice`
  `Assertion`
  `createAssertion()`
  Create an instance of `Assertion`
  `jakarta.xml.bind.JAXBElement<String>`
  `createAssertionIDReference(String value)`
  Create an instance of `JAXBElement``<``String``>`
  `Attribute`
  `createAttribute()`
  Create an instance of `Attribute`
  `jakarta.xml.bind.JAXBElement<AttributeDesignatorType>`
  `createAttributeDesignator(AttributeDesignatorType value)`
  Create an instance of `JAXBElement``<``AttributeDesignatorType``>`
  `AttributeDesignatorType`
  `createAttributeDesignatorType()`
  Create an instance of `AttributeDesignatorType`
  `AttributeStatement`
  `createAttributeStatement()`
  Create an instance of `AttributeStatement`
  `jakarta.xml.bind.JAXBElement<Object>`
  `createAttributeValue(Object value)`
  Create an instance of `JAXBElement``<``Object``>`
  `jakarta.xml.bind.JAXBElement<String>`
  `createAudience(String value)`
  Create an instance of `JAXBElement``<``String``>`
  `AudienceRestrictionCondition`
  `createAudienceRestrictionCondition()`
  Create an instance of `AudienceRestrictionCondition`
  `AuthenticationStatement`
  `createAuthenticationStatement()`
  Create an instance of `AuthenticationStatement`
  `AuthorityBinding`
  `createAuthorityBinding()`
  Create an instance of `AuthorityBinding`
  `AuthorizationDecisionStatement`
  `createAuthorizationDecisionStatement()`
  Create an instance of `AuthorizationDecisionStatement`
  `jakarta.xml.bind.JAXBElement<ConditionAbstractType>`
  `createCondition(ConditionAbstractType value)`
  Create an instance of `JAXBElement``<``ConditionAbstractType``>`
  `Conditions`
  `createConditions()`
  Create an instance of `Conditions`
  `jakarta.xml.bind.JAXBElement<String>`
  `createConfirmationMethod(String value)`
  Create an instance of `JAXBElement``<``String``>`
  `DoNotCacheCondition`
  `createDoNotCacheCondition()`
  Create an instance of `DoNotCacheCondition`
  `Evidence`
  `createEvidence()`
  Create an instance of `Evidence`
  `jakarta.xml.bind.JAXBElement<NameIdentifierType>`
  `createNameIdentifier(NameIdentifierType value)`
  Create an instance of `JAXBElement``<``NameIdentifierType``>`
  `NameIdentifierType`
  `createNameIdentifierType()`
  Create an instance of `NameIdentifierType`
  `jakarta.xml.bind.JAXBElement<StatementAbstractType>`
  `createStatement(StatementAbstractType value)`
  Create an instance of `JAXBElement``<``StatementAbstractType``>`
  `Subject`
  `createSubject()`
  Create an instance of `Subject`
  `SubjectConfirmation`
  `createSubjectConfirmation()`
  Create an instance of `SubjectConfirmation`
  `jakarta.xml.bind.JAXBElement<Object>`
  `createSubjectConfirmationData(Object value)`
  Create an instance of `JAXBElement``<``Object``>`
  `SubjectLocality`
  `createSubjectLocality()`
  Create an instance of `SubjectLocality`
  `jakarta.xml.bind.JAXBElement<SubjectStatementAbstractType>`
  `createSubjectStatement(SubjectStatementAbstractType value)`
  Create an instance of `JAXBElement``<``SubjectStatementAbstractType``>`

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### ObjectFactory

    public ObjectFactory()
    Create a new ObjectFactory that can be used to create new instances of schema derived classes for package: oasis.names.tc.saml._1_0.assertion

- ## Method Details

  - ### createNameIdentifierType

    public NameIdentifierType createNameIdentifierType()
    Create an instance of `NameIdentifierType`
    Returns:
      the new instance of `NameIdentifierType`

  - ### createAssertion

    public Assertion createAssertion()
    Create an instance of `Assertion`
    Returns:
      the new instance of `Assertion`

  - ### createConditions

    public Conditions createConditions()
    Create an instance of `Conditions`
    Returns:
      the new instance of `Conditions`

  - ### createAudienceRestrictionCondition

    public AudienceRestrictionCondition createAudienceRestrictionCondition()
    Create an instance of `AudienceRestrictionCondition`
    Returns:
      the new instance of `AudienceRestrictionCondition`

  - ### createDoNotCacheCondition

    public DoNotCacheCondition createDoNotCacheCondition()
    Create an instance of `DoNotCacheCondition`
    Returns:
      the new instance of `DoNotCacheCondition`

  - ### createAdvice

    public Advice createAdvice()
    Create an instance of `Advice`
    Returns:
      the new instance of `Advice`

  - ### createAuthenticationStatement

    public AuthenticationStatement createAuthenticationStatement()
    Create an instance of `AuthenticationStatement`
    Returns:
      the new instance of `AuthenticationStatement`

  - ### createSubject

    public Subject createSubject()
    Create an instance of `Subject`
    Returns:
      the new instance of `Subject`

  - ### createSubjectConfirmation

    public SubjectConfirmation createSubjectConfirmation()
    Create an instance of `SubjectConfirmation`
    Returns:
      the new instance of `SubjectConfirmation`

  - ### createSubjectLocality

    public SubjectLocality createSubjectLocality()
    Create an instance of `SubjectLocality`
    Returns:
      the new instance of `SubjectLocality`

  - ### createAuthorityBinding

    public AuthorityBinding createAuthorityBinding()
    Create an instance of `AuthorityBinding`
    Returns:
      the new instance of `AuthorityBinding`

  - ### createAuthorizationDecisionStatement

    public AuthorizationDecisionStatement createAuthorizationDecisionStatement()
    Create an instance of `AuthorizationDecisionStatement`
    Returns:
      the new instance of `AuthorizationDecisionStatement`

  - ### createAction

    public Action createAction()
    Create an instance of `Action`
    Returns:
      the new instance of `Action`

  - ### createEvidence

    public Evidence createEvidence()
    Create an instance of `Evidence`
    Returns:
      the new instance of `Evidence`

  - ### createAttributeStatement

    public AttributeStatement createAttributeStatement()
    Create an instance of `AttributeStatement`
    Returns:
      the new instance of `AttributeStatement`

  - ### createAttribute

    public Attribute createAttribute()
    Create an instance of `Attribute`
    Returns:
      the new instance of `Attribute`

  - ### createAttributeDesignatorType

    public AttributeDesignatorType createAttributeDesignatorType()
    Create an instance of `AttributeDesignatorType`
    Returns:
      the new instance of `AttributeDesignatorType`

  - ### createAssertionIDReference

    public jakarta.xml.bind.JAXBElement<String> createAssertionIDReference(String value)
    Create an instance of `JAXBElement``<``String``>`
    Parameters:
      `value` - Java instance representing xml element's value.
    Returns:
      the new instance of `JAXBElement``<``String``>`

  - ### createAudience

    public jakarta.xml.bind.JAXBElement<String> createAudience(String value)
    Create an instance of `JAXBElement``<``String``>`
    Parameters:
      `value` - Java instance representing xml element's value.
    Returns:
      the new instance of `JAXBElement``<``String``>`

  - ### createCondition

    public jakarta.xml.bind.JAXBElement<ConditionAbstractType> createCondition(ConditionAbstractType value)
    Create an instance of `JAXBElement``<``ConditionAbstractType``>`
    Parameters:
      `value` - Java instance representing xml element's value.
    Returns:
      the new instance of `JAXBElement``<``ConditionAbstractType``>`

  - ### createStatement

    public jakarta.xml.bind.JAXBElement<StatementAbstractType> createStatement(StatementAbstractType value)
    Create an instance of `JAXBElement``<``StatementAbstractType``>`
    Parameters:
      `value` - Java instance representing xml element's value.
    Returns:
      the new instance of `JAXBElement``<``StatementAbstractType``>`

  - ### createSubjectStatement

    public jakarta.xml.bind.JAXBElement<SubjectStatementAbstractType> createSubjectStatement(SubjectStatementAbstractType value)
    Create an instance of `JAXBElement``<``SubjectStatementAbstractType``>`
    Parameters:
      `value` - Java instance representing xml element's value.
    Returns:
      the new instance of `JAXBElement``<``SubjectStatementAbstractType``>`

  - ### createNameIdentifier

    public jakarta.xml.bind.JAXBElement<NameIdentifierType> createNameIdentifier(NameIdentifierType value)
    Create an instance of `JAXBElement``<``NameIdentifierType``>`
    Parameters:
      `value` - Java instance representing xml element's value.
    Returns:
      the new instance of `JAXBElement``<``NameIdentifierType``>`

  - ### createConfirmationMethod

    public jakarta.xml.bind.JAXBElement<String> createConfirmationMethod(String value)
    Create an instance of `JAXBElement``<``String``>`
    Parameters:
      `value` - Java instance representing xml element's value.
    Returns:
      the new instance of `JAXBElement``<``String``>`

  - ### createSubjectConfirmationData

    public jakarta.xml.bind.JAXBElement<Object> createSubjectConfirmationData(Object value)
    Create an instance of `JAXBElement``<``Object``>`
    Parameters:
      `value` - Java instance representing xml element's value.
    Returns:
      the new instance of `JAXBElement``<``Object``>`

  - ### createAttributeValue

    public jakarta.xml.bind.JAXBElement<Object> createAttributeValue(Object value)
    Create an instance of `JAXBElement``<``Object``>`
    Parameters:
      `value` - Java instance representing xml element's value.
    Returns:
      the new instance of `JAXBElement``<``Object``>`

  - ### createAttributeDesignator

    public jakarta.xml.bind.JAXBElement<AttributeDesignatorType> createAttributeDesignator(AttributeDesignatorType value)
    Create an instance of `JAXBElement``<``AttributeDesignatorType``>`
    Parameters:
      `value` - Java instance representing xml element's value.
    Returns:
      the new instance of `JAXBElement``<``AttributeDesignatorType``>`